package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpApprovalRequest extends BaseRequest {

    private Long userId;
    private Boolean isApprove;
    private Long drpId;
    private Long approverUserId;
    private String level;
    private Long jenisPengadaanId;
    private String catatan;

    private String search;
    private transient Pageable pageable;
}
