package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.DrpPengadaanDokumen;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface DrpPengadaanDokumenRepository extends JpaRepository<DrpPengadaanDokumen, Long> {

    List<DrpPengadaanDokumen> findByDrpIdAndIsDeleteFalse(Long drpId);

    Optional<DrpPengadaanDokumen> findByFilenameAndIsDeleteFalse(String filename);

    List<DrpPengadaanDokumen> findByDrpPengadaanIdAndIsDeleteFalse(Long id);

}
